Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GoalRecognizer::ColoredPartsCheck Struct Reference

`#include <GoalRecognizer.h>`

Collaboration diagram for GoalRecognizer::ColoredPartsCheck:

[legend]
List of all members.

## Public Types
enum | { maxNumberOfParts = 20 }
## Public Member Functions
| ColoredPartsCheck ()
bool | determineLargePart (int size, bool beginIsOnBorder, bool endIsOnBorder, CameraMatrix cameraMatrix, CameraInfo cameraInfo)
## Public Attributes
Vector2< int > | firstPoint
Vector2< int > | lastPoint
int | rangeOfColor
int | numberOfColoredPixels
int | numberOfLargeParts
int | sizeOfLargePart [maxNumberOfParts]
Vector2< int > | largePartBegin [maxNumberOfParts]
Vector2< int > | largePartEnd [maxNumberOfParts]
Vector2< double > | largePartBeginAngles [maxNumberOfParts]
Vector2< double > | largePartEndAngles [maxNumberOfParts]
bool | largePartBeginIsOnBorder [maxNumberOfParts]
bool | largePartEndIsOnBorder [maxNumberOfParts]

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  maxNumberOfParts |
Definition at line 65 of file GoalRecognizer.h.

## Constructor & Destructor Documentation

GoalRecognizer::ColoredPartsCheck::ColoredPartsCheck | ( |  | ) | `[inline]`

| Definition at line 76 of file GoalRecognizer.h. References numberOfLargeParts.

## Member Function Documentation

bool GoalRecognizer::ColoredPartsCheck::determineLargePart | ( | int | size,
|  | bool | beginIsOnBorder,
|  | bool | endIsOnBorder,
|  | CameraMatrix | cameraMatrix,
|  | CameraInfo | cameraInfo
| ) | `[inline]`

| Definition at line 81 of file GoalRecognizer.h. References Geometry::calculateAnglesForPoint(), firstPoint, largePartBegin, largePartBeginAngles, largePartBeginIsOnBorder, largePartEnd, largePartEndAngles, largePartEndIsOnBorder, lastPoint, LINE, maxNumberOfParts, numberOfLargeParts, rangeOfColor, sizeOfLargePart, Vector2< int >::x, and Vector2< int >::y. Referenced by GoalRecognizer::scanHorizontalForGoals(), and GoalRecognizer::scanLinesForGoals().

Here is the call graph for this function:

## Member Data Documentation

Vector2<int> GoalRecognizer::ColoredPartsCheck::firstPoint

| Definition at line 60 of file GoalRecognizer.h. Referenced by determineLargePart(), GoalRecognizer::scanHorizontalForGoals(), and GoalRecognizer::scanLinesForGoals().

Vector2<int> GoalRecognizer::ColoredPartsCheck::lastPoint

| Definition at line 61 of file GoalRecognizer.h. Referenced by determineLargePart(), GoalRecognizer::scanHorizontalForGoals(), and GoalRecognizer::scanLinesForGoals().

int GoalRecognizer::ColoredPartsCheck::rangeOfColor

| Definition at line 62 of file GoalRecognizer.h. Referenced by determineLargePart(), GoalRecognizer::scanHorizontalForGoals(), and GoalRecognizer::scanLinesForGoals().

int GoalRecognizer::ColoredPartsCheck::numberOfColoredPixels

| Definition at line 63 of file GoalRecognizer.h. Referenced by GoalRecognizer::scanHorizontalForGoals(), and GoalRecognizer::scanLinesForGoals().

int GoalRecognizer::ColoredPartsCheck::numberOfLargeParts

| Definition at line 67 of file GoalRecognizer.h. Referenced by ColoredPartsCheck(), determineLargePart(), GoalRecognizer::scanHorizontalForGoals(), and GoalRecognizer::scanLinesForGoals().

int GoalRecognizer::ColoredPartsCheck::sizeOfLargePart[maxNumberOfParts]

| Definition at line 68 of file GoalRecognizer.h. Referenced by determineLargePart().

Vector2<int> GoalRecognizer::ColoredPartsCheck::largePartBegin[maxNumberOfParts]

| Definition at line 69 of file GoalRecognizer.h. Referenced by determineLargePart(), and GoalRecognizer::scanLinesForGoals().

Vector2<int> GoalRecognizer::ColoredPartsCheck::largePartEnd[maxNumberOfParts]

| Definition at line 70 of file GoalRecognizer.h. Referenced by determineLargePart(), and GoalRecognizer::scanLinesForGoals().

Vector2<double> GoalRecognizer::ColoredPartsCheck::largePartBeginAngles[maxNumberOfParts]

| Definition at line 71 of file GoalRecognizer.h. Referenced by determineLargePart().

Vector2<double> GoalRecognizer::ColoredPartsCheck::largePartEndAngles[maxNumberOfParts]

| Definition at line 72 of file GoalRecognizer.h. Referenced by determineLargePart().

bool GoalRecognizer::ColoredPartsCheck::largePartBeginIsOnBorder[maxNumberOfParts]

| Definition at line 73 of file GoalRecognizer.h. Referenced by determineLargePart(), and GoalRecognizer::scanLinesForGoals().

bool GoalRecognizer::ColoredPartsCheck::largePartEndIsOnBorder[maxNumberOfParts]

| Definition at line 74 of file GoalRecognizer.h. Referenced by determineLargePart(), and GoalRecognizer::scanLinesForGoals().

The documentation for this struct was generated from the following file:

- Modules/ImageProcessor/ImageProcessorTools/GoalRecognizer.h